
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于SOA的企业IT架构 / iVAN</title>

    <meta name="description" content="基于SOA的企业IT架构 本文讲的是基于SOA的企业IT架构,[IT168 资讯]针对当前企业的信息化建设,提出并实现基于面向服务体系结构的企业应用集成系统架构,该架构采用企业服务总线无缝集成应用,支持流程服务编排,能进行组合服务开发,使企业可通过集成系统所提供的各种服务将其内部及企业间的应用集成在一起,并通过工作流的协调来互相调用,以实现一个完整的.跨组织的业务目标. 1 概述 由于目前&quot;计算孤岛&quot;和&quot;信息孤岛&quot;的现象影响企业长期稳定的发展,因此建立一个完备的企业IT架构必不可少 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于SOA的企业IT架构</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文讲的是<b>基于SOA的企业IT架构</b>，【IT168 资讯】针对当前企业的信息化建设，提出并实现基于面向服务体系结构的企业应用集成系统架构，该架构采用企业服务总线无缝集成应用，支持流程服务编排，能进行组合服务开发，使企业可通过集成系统所提供的各种服务将其内部及企业间的应用集成在一起，并通过工作流的协调来互相调用，以实现一个完整的、跨组织的业务目标。<br />
　　1 概述<br />
　　由于目前“计算孤岛”和“信息孤岛”的现象影响企业长期稳定的发展，因此建立一个完备的企业IT架构必不可少。该架构必须灵活快速地适应不断变化的业务需求，使企业现有的信息模型和业务流程具备良好的集成、共享、协作能力，从而帮助企业全面建立产品的开发、设计、采购、制造、测试和管理的信息化技术平台，在技术上增强竞争力。本文提出并实现一种基于面向服务体系架构(Service—Oriented Architecture，SOA)的企业IT架构模型。该模型可为企业应用集成和企业间协作提供信息集成、流程集成和集成服务等功能，并能形成可重构、插件化、开放式的软件应用平台，以满足各类软件系统的组合/拆分要求。<br />
　　2 面向服务的体系架构<br />
　　面向服务体系架构的核心本质是实现服务和技术的完全分离，从而达到服务的可重用性。它将企业应用看作由一些不同粒度、能跨越企业边界以及能实现特殊功能的服务集合所构成，并在这些服务之间通过定义良好的、独立于实现服务的硬件平台、操作系统和编程语言的接13进行联系，使此类系统可通过一种通用的方式进行交互。因此，采用SOA实现企业的IT架构能在更大范围上达到信息共享，实现高度的互操作性和可扩充性，最终起到优化配置资源的作用。SOA体系结构如图 1所示，由服务提供者、服务消费者和服务注册中心构成。Web Service作为SOA的主要实现方式，它提供的基于可扩展标记语言(eXtensible MarkupLanguage，XML)的标准化接口能为SOA应用模型的实现提供较好支持。<br />
　　其中，服务提供者采用基于XML统一的Web服务描述语言(Web Service Definition Language，WSDL)来描述服务，并在UDDI注册中心注册发布;由于服务描述的统一性，服务请求者可通过服务查询总线到UDDI注册中心查询所需的服务和服务请求者，绑定服务请求者，调用服务。<br />
　　3 基于SOA的企业IT架构总体设计<br />
　　IT体系架构应满足企业近期和长远的El标，并能对技术平台和应用系统进行合理划分和部署。结合SOA技术，IT系统的总体框架设计为5层结构，从下至上依次为：硬件基础设施平台，操作系统平台，软件基础架构平台，业务软件平台和企业应用平台。<br />
　　其中，硬件基础设施平台为整个IT架构提供一个可靠稳定的硬件基础平台。它包括硬件管理以及硬件层次的安全管理;操作系统平台提供一个可靠的、可扩展的以及高可用性的基础平台;软件基础架构平台提供IT应用的基础技术支撑平台;业务软件平台实现企业应用的业务逻辑和底层的IT技术的分离，使开发者不必关注其技术的实现;企业应用平台面向业务人员，实现业务人员能直接访问业务逻辑的功能。上述结构在逻辑上既相对独立，又逻辑相关。对5层结构进行统一规划，将确保企业先期对信息系统投资的最大利用和后期对信息系统追加投资的可行性和准确性。<br />
　　3.1软件基础架构平台<br />
　　软件基础架构平台包括数据库、数据仓库、应甩服务器和平台软件系统管理。<br />
　　数据库是企业数据存储和管理的核心，是所有应用的基础。它包括基础数据以及各类应用数据和元数据的管理。该模型采用所有应用基于一个单一集成数据模型和关系表集的模式。数据仓库是一个面向集成的、相对稳定的、反映历史变化的数据集合，用于支持管理决策。应用服务器作为应用技术架构的基础和支撑体系，支持 J2EE、XML等规范，支持基于J2EE标准的应用开发、部署和运行。它提供一个综合的SOA基础架构，能将企业应用程序作为Web服务来包装、编排、供应、管理、保护、联合、发现和访问。<br />
　　对软件日常的维护、资源分配、性能调优等工作将关系到整个业务系统能否正常高效地运行。因此，使用功能强大的平台软件系统管理工具可提高系统的维护效率和可靠性。该架构模型能在整个系统的软件生命周期内、从网络上的任何位置去管理、监控及操作各类软件。从而使IT工作人员可将硬件节点、数据库和应用服务器分组为单个的逻辑实体，然后将一组对象作为一个单元来管理，提高了工作效率。<br />
　　3.2业务软件平台<br />
　　该平台提供应用共享服务、应用集成服务、应用驱动服务和数据驱动服务。<br />
　　其中，数据驱动服务是在一套完整的业务应用开发、集成、访问的过程中进行的数据准备工作;应用驱动服务为IT应用提供整个应用运行环境中信息之间的连接服务、面向异构环境的信息通信传输机制以及多个系统之间的信息流动和互操作的协议;应用集成服务将各个IT应用的功能封装成基于标准的服务，并用标准的语言进行描述注册;应用共享服务可使业务人员在同一个访问框架中共享、监控、分析业务逻辑。上述服务可为一个完整的业务流程提供强有力的技术支撑。在数据驱动服务支持下，由应用驱动完成服务的封装、注册，并利甩连接、通信、信息流动能力将服务提供给应用集成服务，由应用集成服务完成业务流程的组装。最后，通过应用共享服务，使业务逻辑得到访问和共享。<br />
　　业务软件平台为SOA的应用提供了底层支持，在以服务为中心的体系架构的应用环境中，通过服务的交互来集成企业IT资源，并结合一些最佳实践的架构原则来继承消息传输、流程集成等优秀技术，帮助企业将已有的IT系统集成起来，并释放其功能或数据为可重用的服务。<br />
　　3.2.1数据驱动服务<br />
　　数据驱动服务包括元数据管理、数据供应、数据交换和数据的抽取、转换和加载(ETL)。元数据对各类系统数据元素的说明，使最终用户可随意使用各种系统。数据供应提供一种主动的数据访问框架，无论数据位于何处，当用户需要时就会提供给用户。数据供应通过合并、共享和联合3种方法来实现。数据交换可使多个数据库和应用程序共享信息，其常用技术有：分布式数据访问、消息队列、XML技术等。ETL将数据源系统中的数据按照满足需求分析的主题进行划分和组织，然后抽取并装载到数据仓库系统中。<br />
　　3.2.2应用驱动服务<br />
　　应用驱动服务支持应用之间基于消息、事件和服务级别的动态的互连互通，并提供基于标准的SOA应用之间的连接服务。从请求服务到可访问的过程包括服务被动态的发现、选择以及消息的传输、路由和转换。该过程是应用驱动服务层中连接服务所提供的支持。因此，服务的请求者能正确选择路由和传递到正确的服务提供者是应用服务之间能进行正确连接的基本保障。为实现这一保障，该架构采用可扩展的WSDL绑定框架来实现与SOAP以外的协议和消息格式的互连，为应用集成服务提供支持。<br />
　　3.2.3应用集成服务<br />
　　相关技术和标准(如XML、Web Service)的出现使企业应用集成开始转向了以服务为中心的集成。该架构中对于服务的描述和访问采用开放一致的标准(WSDL)，并通过连接服务使应用之间在一个开放、可靠、安全、可管理的环境下，以松耦合的方式相互交互，根据需求动态地进行企业应用集成，从而达到较高的灵活应变能力和重用能力。其中，企业应用流程管理采用业务流程执行语言(Business ProcessExecution Language，BPEL)对SOA中的服务进行编排，使各个服务松耦合地串联在一起，从而屏蔽各系统技术实现的差异。与传统的Java过程代码相比，该模型提供一个更为简单、可维护性更高的解决方案。<br />
　　3.2.4应用共享服务<br />
　　应用共享服务面向用户访问集成而设计，负责将信息系统中的信息传递给客户，在任意地点，以任意方式接入，实现信息的共享和交互。在该层设计上，强调用门户技术实现信息的共享。企业门户平台提供多种信息技术渠道以获取和反馈业务系统的信息。门户提供统一的入口、一站式的用户验证以及合适的访问权限来访问企业集成信息。协作可以是跨部门，跨业务的协作，一般分为3个方面：内容、交流和情景。商务智能主要包括各种动态查询应用、数据分析应用以及各种基于数据仓库的应用。业务监控为业务管理人员提供发布业务事件、收集和监控业务流程的关键性能指标。通过对这些指标的计算分析，业务管理人员可随时获取当前业务状态的信息。<br />
　　3.2.5开发框架、业务服务工具<br />
　　借助开发框架，用户不仅能进行高效的应用集成的部署和运行，还能对软件生命周期进行管理。业务服务工具帮助企业管理IT环境，向内外客户交付高质量的服务。业务软件系统管理是为确保业务软件层良好运行而提供的系统管理功能，它包括应用的配置、部署、构建、发布等。<br />
　　3.3安全管理<br />
　　安全管理是企业应用正常运行的基础保障，尤其是针对用户身份和访问控制的管理。该架构模型中采用单点登录(Single Sign—On，SSO)方式来实现用户对所有网络资源、所有应用系统的统一登录，用户一次登录，即可访问其有权访问的所有系统资源。身份管理采用 LDAP目录服务器认证管理。它可使新的应用程序利用现有基础架构来进行用户管理，从而缩短了部署和管理新应用程序的时间。系统通过LDAP实现与企业内部人力资源管理系统的数据同步，实现用户认证方式的配置管理，同时采用访问策略管理来提供严密的权限逻辑。根据用户的不同角色，按访问者的权限、定制的页面内容以及访问者使用的终端等个性化的参数向访问者推送其定制的内容，对不同的报表或主题分配相应的内容访问权限和操作权限，加强对敏感数据、密级数据的严密隔离和控制，保证数据安全。<br />
　　4 应用案例<br />
　　本文所述的系统架构已成功应用于中国船舶研究中心702所设备管理示范工程中，具体实现如图5所示。通过采用该IT架构平台实现ERP系统、OA系统、办公协同系统等多套并行业务系统的无缝整合。实践证明，整合后系统具备良好的兼容性和集成性，充分考虑到系统资源的可利用性，统一用户认证和单点登录服务集成的能力，使未来新的业务系统可方便纳入统一的IT系统架构中。整个系统正式运行后，所内的设备申购周期缩短了70%，设备购置效率提高了61%，并能掌握每个设备供应商和最终用户的资料。<br />
　　5 结束语<br />
　　本文提出一个基于SOA的企业IT架构模型，并在船舶研究中心702所信息化项目中得到成功应用。应用结果表明，该系统的应用可消除企业“信息孤岛”的现象;企业设备和产品数据规范的加强以及系统对数据设计的统一管理可避免重复设计造成的成本浪费，实现设备从申购到投入使用过程的数据管理和流程集成。该系统尚有待于进一步的完善，如服务资源管理调度、服务质量管理等。在企业信息化需求的强大推动下，基于SOA的企业应用集成系统将会成为未来重要的企业应用模式。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 02:42:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e4%bb%93%e5%ba%93/" title="数据仓库">数据仓库</a>, <a href="https://www.iamivan.net/tag/%e4%bc%81%e4%b8%9a%e5%ba%94%e7%94%a8/" title="企业应用">企业应用</a>, <a href="https://www.iamivan.net/tag/soa/" title="soa">soa</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于SOA的企业IT架构的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPvNap.html" rel="bookmark">基于SOA与云计算 企业信息化战略规划制定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:企业信息化战略规划是指为满足企业经营需求.实现企业战略目标,由企业高层领导.信息化技术专家.信息化用户代表根据企业总体战略的要求,对企业信息化的发展目标和方向所制定的整体框架和指导体系.企业信息化战略规划就是对企业信息化建设的一个战略部署,最终目标是推动企业战略目标的实现,并实现以较低的成本产生更高的效益. 企业信息化就是企业利用现代信息技术,通过信息资源的开发和利用,不断提高生产.经营.管理.决策的效率和水平,进而提高企业经营效益和企业竞争力的过程,其核心就是降低成本和提高管理水平.企业			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaYlAM.html" rel="bookmark">基于SOA的MES系统及其应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着MES的深入应用,制造型企业对系统集成的要求也越来越高.据统计,全球40%的IT预算是应用于系统集成的,而系统集成问题在MES方面显得更为突出,这是因为,MES是一个将企业的ERP系统和底层的自动化系统集成在一起的中间层管理软件,主要用于对车间的生产.质量.设备等方面进行详细计划.信息反馈和数据分析,是一个承上启下的软件,需要与ERP系统和自动化系统实现双向的信息集成,接收ERP下达的车间生产计划,并进行详细计划和任务分配,向ERP系统反馈生产.质量等信息,对自动化系统进行控制,读取相应的数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N5eDz.html" rel="bookmark">企业IT架构转型之道：阿里巴巴中台战略思想与架构实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				企业IT架构转型之道 阿里巴巴中台战略思想与架构实战 钟 华 编 著 图书在版编目(CIP)数据 企业IT架构转型之道:阿里巴巴中台战略思想与架构实战 / 钟华编著. -北京:机械工业出版社,2017.4 ISBN 978-7-111-56480-5 I. 企- II. 钟- III. 电子商务-商业企业管理-研究-中国 IV. F724.6 中国版本图书馆CIP数据核字(2017)第068703号 企业IT架构转型之道 阿里巴巴中台战略思想与架构实战 出版发行:机械工业出版社(北京市西城区百万			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rP0wz.html" rel="bookmark">融数数据基于DevOps的微服务架构演进之路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主题:互联网架构  融数数据基于DevOps的微服务架构演进之路 - 融数数据CTO  王东 讲师介绍 王东: 现任融数数据北京研发中心CTO,负责公司大数据平台.微服务框架以及DevOps平台的研发工作:  毕业于天津大学,毕业后一直从事软件相关研发和架构设计工作,曾经在普元软件任资深架构师.IBM GBS任咨询经理.亚马逊任架构师等,后加入创业公司,从事研发和管理工作:  热爱编程,喜欢钻研新技术,对于微服务.企业架构.大数据以及DevOps有浓厚的兴趣.  谈谈微服务 近年来微服务热度逐渐			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nOk8z.html" rel="bookmark">CIO关心如何才能真正实现基于SOA的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ESB(企业服务总线)为分散服务提供了交互.组合和治理的基础架构.有了它,才能释放SOA的最大价值.因此,ESB成为厂商在SOA(面向服务的架构)竞争中的焦点. 作为近两年软件领域最热门的词汇之一,SOA(Service Oriented Architecture,面向服务的架构)的概念以及SOA带来的好处,正在被用户逐步接受.Gartner的数据表明,到2007年,全球将有70%以上的大企业会将他们的应用转到SOA.但是目前CIO们最关心的是,如何才能真正实现基于SOA的应用? 在近一段时期,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBZd1z.html" rel="bookmark">阿里巴巴中台架构的业务价值思考&mdash;&mdash;走进《企业IT架构转型之道》系列1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				架构无法决定市场的成功还是失败,但是作为土壤可以不断孵化新的物种.阿里巴巴从2008年开始的架构优化过程其实并没有解决该做什么的问题,但是解决了创新效率的问题. --阿里巴巴集团中间件技术部研究院蒋江伟(小邪) 源自芬兰游戏公司 Supercell 的启发 2015年年中,马云带领阿里巴巴集团高管拜访了芬兰移动游戏公司Supercell--&lt;部落战争&gt;&lt;海岛奇兵&gt;&lt;卡通农场&gt;等多款知名游戏的创作者.Supercell的模式给了集团高管们很大的感想:在Supercell内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL3GqM.html" rel="bookmark">阿里巴巴中台架构的建设原则&mdash;&mdash;走进《企业IT架构转型之道》系列2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何选择共享服务中心的框架 上一篇提到,阿里巴巴以共享服务体系来作为其&quot;中台&quot;战略的核心支撑,那么应该选择什么样的框架构建这个共享服务体系? 我们先来简单回顾一下淘宝平台&quot;服务化&quot;历程.发展到2007年,淘宝成为了一个由超过500人的技术团队共同维护的WAR包(几百兆字节),大小功能模块超过200个,飞速发展的业务(当时的淘宝基本上几个月业务就会翻倍)与传统的应用架构碰撞带来了下面几大问题: 1)团队间协同成本高,业务响应越来越慢.超过200个功能模块的包,必然分项			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5kEkz.html" rel="bookmark">CIO关注综合效能，企业IT架构全面升级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 管理大师德鲁克在其著作&lt;变动中的管理&gt;一书中指出,面对越来越复杂多变的经济环境,任何一家企业想要实现自己的管理模式和业务架构都离不开IT技术的支持.这是由于大多数的企业核心流程都必须由IT支持,才能实现.这就导致IT应用的效率必然会影响企业运营的效率.因此,经济危机后优化企业的IT架构和应用是企业复苏的必行之路.建立一个好的IT架构可以让潜在的IT竞争力加速形成现实的业务竞争力,从而使企业获得更大的复苏和加速增长动力.因此,在乍暖还寒时重新审视企业IT架构和应用成了众多企业CIO的当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Y2moz.html" rel="bookmark">企业IT架构的现实与憧憬</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是企业IT架构的现实与憧憬,[IT168 资讯]什么样的企业IT架构是理想的?在很多新技术不断涌现的今天,企业用户似乎有了越来越多的选择,但是更多的选择在有些时候也可能会意味着无所适从.新技术到底带来哪些新的企业IT架构模式?不同的架构又会为企业带来什么?未来的架构会是什么样? 业内专家对目前主流的企业IT架构模式进行了简单的分析,并将其分为7类:以数据为中心的架构.流程驱动架构.面向服务的架构.基于需求的架构.安全的架构.轻便开放的架构以及无时无处不在的架构. 这样的分类不能算是很严谨			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnDgOb.html" rel="bookmark" class="title">交换链接的两大误区</a>
					<div>
						链接 由于链接在网站排名中占据着一个非常重要的地位,也是搜索引擎优化一个很难实现的目标.因为这存在着相当大的主观原因.在进行交换链接的时候,平常很多人会容易犯下以下的两个错误. 误区1:PR越高越好: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkNAoM.html" rel="bookmark" class="title">邀请测试阶段的网站用户注册的设计</a>
					<div>
						[社会化设计]自我(self)部分--邀请测试版本(private beta) 问题概述(Problem Summary)用户想要加入一个目前还是处在邀请测试阶段的网站. 例子(Example) tw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO4qkb.html" rel="bookmark" class="title">使用Apache OpenJPA开发EJB 3&period;0应用，第4部分&colon; 实体关联</a>
					<div>
						对象和对象之间除了继承关系之外,还存在着关联关系:包括一对一.一对多 .多对一和多对多关系,在 OpenJPA 框架下,开发者只需要使用 javax.persistence.OneToOne 这样的注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwVA8z.html" rel="bookmark" class="title">Java技术，IBM风格&colon; 类共享</a>
					<div>
						在 Java 虚拟机(JVM)进程之间共享已经装载的类,这种概念并不是新的. 例如,Sun 的 CDS 特性将系统类写到一个只读文件中,这个文件在内存中映射到 JVM.IBM z/OS 1.4.2 J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGd89p.html" rel="bookmark" class="title">asynctask-android网络开发 requestcode不为200</a>
					<div>
						问题描述 android网络开发 requestcode不为200 一个简单的例子,新建一个Asynctask,从网络获取一张图片,显示到ImageView上,但是requestcode一直是405是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamdr2b.html" rel="bookmark" class="title">c-关于二分法的算法问题</a>
					<div>
						问题描述 关于二分法的算法问题 谁能帮我看看我这个是什么问题,为什么运行之后崩溃,而且警告说的是什么意思? # include&lt;stdio.h&gt; int erfen(int x , int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPkOZp.html" rel="bookmark" class="title">css-求布局思路 求布局思路</a>
					<div>
						问题描述 求布局思路 求布局思路 求 如图 流动布局(div+css)思路 解决方案 大概思路简写 仅供参考 //自定义样式 去掉ul li默认样式 把a设置为块级元素 ul li{ list-sty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrgG5M.html" rel="bookmark" class="title">map-大文件里查找单词的问题</a>
					<div>
						问题描述 大文件里查找单词的问题 RT?Definea function that, given an istream&amp; and a constvector&amp;, produces a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmq1Zz.html" rel="bookmark" class="title">collections-Android Collections排序相关问题（难道就没人会了吗？？？）</a>
					<div>
						问题描述 Android Collections排序相关问题(难道就没人会了吗???) #下面代码Collections中如何根据照片的经纬度来进行排序?# /** * 按照地点进行分组 * @par ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlLnxb.html" rel="bookmark" class="title">C&num; 系统应用之ListView控件 &lpar;二&rpar;&period;加载选中节点文件夹下文件信息</a>
					<div>
						在项目中的前面一篇文章&quot;C# 系统应用之TreeView控件 (一).显示树状磁盘文件目录及加载图标&quot;中我讲述了如何使用TreeView控件树状实现显示&quot;我的电脑&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBlx1b.html" rel="bookmark" class="title">cocoa touch-NSAttributedString修改字符串颜色</a>
					<div>
						问题描述 NSAttributedString修改字符串颜色 应用中有一个滚动条,根据滚动条的值显示下面的字符串: Very Bad, Bad, Okay, Good, Very Good 滚动条的实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD8Yez.html" rel="bookmark" class="title">struts 2&period;2&period;1 使用注解时action中的方法如何访问？</a>
					<div>
						问题描述 如,action如下package org.wdj.jxc.demo.action;import org.apache.struts2.convention.annotation.Names ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R63Zb.html" rel="bookmark" class="title">【MySql】赶集网mysql开发36条军规</a>
					<div>
						写在前面的话: 总是在灾难发生后,才想起容灾的重要性: 总是在吃过亏后,才记得曾经有人提醒过. (一)核心军规 (1)不在数据库做运算    cpu计算务必移至业务层: (2)控制单表数据量    i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7xa2p.html" rel="bookmark" class="title">文件上传类</a>
					<div>
						class yl_upload_class { #********************************************************* #创建目录函数 #******** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK7k3p.html" rel="bookmark" class="title">定时器</a>
					<div>
						问题描述 web定时器在凌晨一点进行备份数据,怎么做?求助 解决方案 解决方案二:org.springframework.scheduling.quartz.CronTriggerBean解决方案三: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLrRVM.html" rel="bookmark" class="title">联想PC全球份额达9&percnt;新高</a>
					<div>
						第三季度净利7952万美元,主席柳传志给CEO杨元庆&quot;满分&quot; 林其玲 本报讯 (记者林其玲)延续上季扭亏为盈趋势,联想集团(00992)第三季度再次交出一份&quot;漂亮&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R03Dz.html" rel="bookmark" class="title">急求教！关于如何接收socket数据</a>
					<div>
						问题描述 为什么do下面第一次执行的时候,availCount都是0,sleep一次之后就不会为0了..do{availCount=client.Available;num=client.Receiv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy1ZXz.html" rel="bookmark" class="title">有没有分割TIF的样例</a>
					<div>
						问题描述 我有一个任务:1.打开一个TIF文件2.任意选择TIF文件的一部分,保存成另外一个TIF文件有没有用VC做过的,发个样例看看,拜托了! 解决方案 解决方案二:http://download. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye6XlM.html" rel="bookmark" class="title">vb 2010编辑器崩溃</a>
					<div>
						问题描述 vb2010编辑器,只要一选择文本,马上崩溃退出,不能复制.重装了2个中文版的2010也不行,同时也打了sp1.难道是重装系统的节奏,或者装英文版的2010?系统是xp+sp3. 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0EkLp.html" rel="bookmark" class="title">域名被纳入无形资产征税是好事还是坏事呢？</a>
					<div>
						&quot;域名交税&quot;?&quot;域名被国家纳入无形资产征税&quot;?这个消息的出现引起了不少域名投资人和米农的关注与讨论.从今年的7月1号起,国家的税收结构调整为6%.11%.17% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8OEob.html" rel="bookmark" class="title">PHP的简易冒泡法代码分享&lowbar;php技巧</a>
					<div>
						很基础的东西,感觉代码还不够简洁,希望高手指导修改 复制代码 代码如下: &lt;?php function BubbleSort($str){ for($i=0;$i&lt;count($str); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE5OPp.html" rel="bookmark" class="title">Android中的Bitmap缓存池使用详解&lowbar;Android</a>
					<div>
						本文介绍了如何使用缓存来提高UI的载入输入和滑动的流畅性.使用内存缓存.使用磁盘缓存.处理配置改变事件等方法将会有效的解决这个问题. 在您的UI中显示单个图片是非常简单的,如果您需要一次显示很多图片就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmZrnp.html" rel="bookmark" class="title">document&period;createElement&lpar;&rpar;用法及注意事项&lpar;ff下不兼容&rpar;&lowbar;javascript技巧</a>
					<div>
						今天处理了一个日期选择器的ie和ff的兼容问题,本来这种情况就很难找错误,找了好久才把错误定位到js中创建元素的方法document.createElement(),这个方法在ie下支持这样创建元素  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk03OOz.html" rel="bookmark" class="title">ios 集成sdk问题</a>
					<div>
						问题描述 已按照教程添加sdk,import时一直出现以下错误 &quot;EaseMob.h&quot; file not found 解决方案 看下视频吧http://i.youku.com/u/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7aGyp.html" rel="bookmark" class="title">【hibernate框架】核心开发接口-Configuration接口</a>
					<div>
						Configuration接口: a)AnnotationConfiguration b)进行配置信息的管理 c)用来产生SessionFactory d)可以在configure方法中指定hiber ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA60Wvp.html" rel="bookmark" class="title">伊视通ET-G42XYLWR</a>
					<div>
						此前,http://www.aliyun.com/zixun/aggregation/32404.html&quot;&gt;网络摄像机的成像质量一直因为诸多的压缩和传输因素,而难以达到高清的水平.不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqPq3p.html" rel="bookmark" class="title">国内手机视频用户过亿 商业模式趋成熟</a>
					<div>
						[ 2012年我国网络视频用户已达4.5亿,在全国网民总数占比超过70%;手机视频用户超过1亿户,并加速向移动互联网环境下的&quot;智能终端+APP&quot;模式迁移 ] 12月6日,第四届中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVX9enM.html" rel="bookmark" class="title">eclipse的IOConsole Updater error解决方法</a>
					<div>
						  在eclipse中启动项目运行一段时间后,或者有时候直接就在启动时报IOConsole Updater的错.网上查了下,这属于eclipse的bug,列表见 Bug 176508,Bug 1981 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRXqqaz.html" rel="bookmark" class="title">Clearwire用户增幅加大</a>
					<div>
						关键指标:亏损额减少,用户迅猛增加 隐忧分析:离网率偏高,网络投资较大 本报讯 美国WiMAX运营商Clearwire近日报告了2009年第四季度的运营业绩,由于WiMAX用户明显增多,该公司季度亏损 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZwwokb.html" rel="bookmark" class="title">乐视视频APP&colon;同性公开表白有多难</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 8月5日讯乐视视频App近日举办了 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
